#
# Conditional build:
%bcond_with	ffmpeg		# enable ffmpeg support
%bcond_without	static_libs	# don't build static libraries
#
Summary:	LibVideoGfx - video processing library
Summary(pl.UTF-8):	LibVideoGfx - biblioteka do przetwarzania obrazu
Name:		libvideogfx
Version:	1.0.9
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://github.com/farindk/libvideogfx/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e60c78bce880264572203fcdb208da79
Patch0:		%{name}-sh.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-ffmpeg.patch
Patch3:		%{name}-link.patch
Patch4:		%{name}-m4.patch
Patch5:		%{name}-git.patch
Patch6:		%{name}-cpp.patch
URL:		http://dirk-farin.net/software/libvideogfx/index.html
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 6:4.5
BuildRequires:	libtool >= 2:1.5
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibVideoGfx is a C++ library for low-level video processing. It aims
at speeding up the development process for image and video processing
applications by providing high-level classes for commonly required
tasks. The library comprises support for:
 - basic image data classes
 - color-space convertion for RGB, YUV, HSV
 - drawing primitives (lines, circles, ...)
 - image manipulation (scaling, pixel-ops, convolution)
 - file-IO (ppm, yuv, jpeg, png, mpeg, V4L-grabbing)
 - X11 image display (including Xv-extension support)

%description -l pl.UTF-8
LibVideoGfx to biblioteka C++ do niskopoziomowego przetwarzania
obrazu. Celem jest przyspieszenie procesu tworzenia aplikacji do
przetwarzania obrazu statycznego i ruchomego poprzez dostarczenie
wysokopoziomowych klas do często wymaganych zadań. Biblioteka pokrywa:
 - podstawowe klasy danych obrazu
 - konwersję przestrzeni kolorów RGB, YUV, HSV
 - prymitywy rysunkowe (linie, okręgi...)
 - obróbkę obrazu (skalowanie, operacje na pikselach, sploty)
 - operacje na plikach (ppm, yuv, jpeg, png, mpeg, przechwytywanie
   V4L)
 - wyświetlanie obrazu X11 (wraz z obsługą rozszerzenia Xv)

%package devel
Summary:	Header files for LibVideoGfx library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibVideoGfx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.5
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXv-devel

%description devel
Header files for LibVideoGfx library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibVideoGfx.

%package static
Summary:	Static LibVideoGfx library
Summary(pl.UTF-8):	Statyczna biblioteka LibVideoGfx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibVideoGfx library.

%description static -l pl.UTF-8
Statyczna biblioteka LibVideoGfx.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__with_without ffmpeg} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvideogfx.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libvideogfx-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvideogfx-1.0.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libvideogfx-config
%attr(755,root,root) %{_libdir}/libvideogfx.so
%{_includedir}/libvideogfx
%{_includedir}/libvideogfx.hh
%{_pkgconfigdir}/libvideogfx.pc
%{_aclocaldir}/libvideogfx.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvideogfx.a
%endif
%changelog
* Sat Apr 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libvideogfx.git;a=log;h=master

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> e49195e
- disable ffmpeg support (code uses functions deprecated years ago)
- rel 2

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> e9e0f72
- added git patch (few more APIs needed by current libde265)
- added cpp patch (fixes ifstream check)

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> ee714f4
- new
- sh patch fixes POSIX sh compatibility
- gcc patch fixes incompatible asm constaints (by using cpuid builtins)
- ffmpeg patch fixes build with current ffmpeg
- link patch fixes library linking with X libs
- m4 patch fixes underquoted definition in installed .m4 file

